com.brightcove.player.model

## Class LengthVtt

- java.lang.Object
- - com.brightcove.player.model.Length
  - - com.brightcove.player.model.LengthVtt

- All Implemented Interfaces:
    java.io.Serializable

      public class LengthVtt
      extends Length

  Provides the representation of varying forms of length measure per the WebVTT1 specification.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.regex.Pattern` | `PATTERN_LINE`
    `static java.util.regex.Pattern` | `PATTERN_PERCENTAGE`
    `static java.lang.String` | `TAG`

    - ### Fields inherited from class com.brightcove.player.model.Length

      `PATTERN, unit, value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LengthVtt(double value, StyledElement.Unit unit)` Initializes a Length object using the given numeric value and Unit specification.
    `LengthVtt(java.lang.String expression)` Initializes a Length object by parsing the given expression.

  - ### Method Summary

    - ### Methods inherited from class com.brightcove.player.model.Length

      `equals, getUnit, getValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

    - #### PATTERN_PERCENTAGE

          public static final java.util.regex.Pattern PATTERN_PERCENTAGE

    - #### PATTERN_LINE

          public static final java.util.regex.Pattern PATTERN_LINE

  - ### Constructor Detail

    - #### LengthVtt

          public LengthVtt(java.lang.String expression)

      Initializes a Length object by parsing the given expression. For more information on valid parsing, visit https://www.w3.org/TR/webvtt1/#cue-timings-and-settings-parsing Examples:
      - 4.5%
      - -1
      - 0
      Parameters:
        `expression` - the string expression to parse
      See Also:
        https://www.w3.org/TR/webvtt1/#cue-settings

    - #### LengthVtt

          public LengthVtt(double value,
                           StyledElement.Unit unit)

      Initializes a Length object using the given numeric value and Unit specification.
      Parameters:
        `value` - the numeric value of the length
        `unit` - the units for the length value